import { useContext, useMemo } from 'react';
import { PropTypes } from 'prop-types';
import useList from '../utils/List';
import WorkContractContext from '../contexts/WorkContractContext';
import AvailabilityStakes from './work-contracts/AvailabilityStakes';
import WorkRequests from './work-contracts/WorkRequests';
import Web3Context from '../contexts/Web3Context';

function Proposals() {
  const [proposals, dispatchProposal] = useList();
  const {provider} = useContext(Web3Context);

  return (
    <>
      <h2>Proposals</h2>
      <div>
        <table className="table">
          <thead>
            <tr>
              <th>ID</th>
              {/* <th>Pool ID</th> */}
            </tr>
          </thead>
          <tbody>
            {proposals.filter((x) => !!x).map((request) => (
              <tr key={request.id}>
                <td>{request.id.toString()}</td>
              </tr>
            ))}
          </tbody>
        </table>
      </div>
    </>
  );
}

WorkContract.propTypes = {
  workContract: PropTypes.any.isRequired, // eslint-disable-line react/forbid-prop-types
  showRequestWork: PropTypes.bool,
  title: PropTypes.string.isRequired,
  verb: PropTypes.string.isRequired,
  showAvailabilityActions: PropTypes.bool,
  showAvailabilityAmount: PropTypes.bool,
  onlyShowAvailable: PropTypes.bool,
};

WorkContract.defaultProps = {
  showRequestWork: false,
  showAvailabilityActions: true,
  showAvailabilityAmount: true,
  onlyShowAvailable: false,
};

export default WorkContract;
